Bug 228479 - Review Request: hunspell-hr - Croatian hunspell dictionaries
Summary: Review Request: hunspell-hr - Croatian hunspell dictionaries
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: manuel wolfshant
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2007-02-13 10:35 UTC by Caolan McNamara
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-15 08:58:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora-review+


Attachments (Terms of Use)

Description Caolan McNamara 2007-02-13 10:35:55 UTC
Spec URL: http://people.redhat.com/caolanm/hunspell/hunspell-hr.spec
SRPM URL: http://people.redhat.com/caolanm/hunspell/hunspell-hr-0.20060607-1.src.rpm
Description: Croatian hunspell dictionaries


Similar to 227811

Comment 1 manuel wolfshant 2007-02-13 23:17:02 UTC
GOOD

- package meets naming guidelines
- package meets packaging guidelines 
- spec file legible, in am. english
- source matches upstream , sha1sum 
60fa001543ab9e67f20fcc68c358c62f81e006ac  hr_HR.zip
- the package builds in mock for devel/x86_64, generates a noarch (which is
consistent with the fact that basically it includes only 3 text files)
- the license LGPL stated in the tag is the same as the web site says
- there are only 2 files (word lists) + a short doc with instructions and
license clearance, so no .la, .pc, static files
- no missing BR
- no locales
- not relocatable
- owns all files/directories that it creates, does not take ownership of other
files/dirs
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- rpmlint output is silent
- code, not content
- no need for -docs as the only doc is just a 2 liner specifying that the
license is dual, LGPL/SISSL
- nothing in %doc affects runtime
- no need for .desktop file 

APPROVED

SHOULD: please ask upstream to include the actual license file in the archive

Comment 2 Caolan McNamara 2007-02-15 08:58:41 UTC
 27627 (hunspell-hr): Build on target fedora-development-extras succeeded.


Note You need to log in before you can comment on or make changes to this bug.